Tuesday, October 21, 2008

NetBeans and JavaFX

Tutorial Requirements

This tutorial requires the following technologies:

* Java SE 6 Development Kit (JDK) software must be installed on your system. You can download the required version of the JDK for your platform from one of the following sites:

o For Windows. Download Java SE 6 Update 7 or later. If you choose to use the Java SE 6 Update 10 Beta version, both the Java SE Development Kit (JDK) and Java SE Runtime Environment (JRE) must be downloaded and installed. Two separate Download buttons are on the download page for Java SE 6 Update 10 Beta.

Note: The Java SE 6 Update 10 Beta version provides additional features, such as the ability to drag applets. You must update your browser's plugins to use the updated version of the JRE if you want to use applets to run JavaFX applications. Plese refer to your browser's documentation for assistance.

video

In this tutorial, you created a simple JavaFX application and explored some of the features offered in the NetBeans 6.1 IDE to support the JavaFX programming language. The IDE with JavaFX support provides you the means to develop your rich internet applications using the JavaFX programming language.

No comments: